GDB (xrefs)

Public Attributes | List of all members
async_signal_handler Struct Reference

## Public Attributes
int | ready
struct async_signal_handler * | next_handler
sig_handler_func * | proc
gdb_client_data | client_data

## Detailed Description

Definition at line 106 of file event-loop.c.

## Member Data Documentation

## ◆ client_data

gdb_client_data async_signal_handler::client_data

Definition at line 113 of file event-loop.c.

Referenced by create_async_signal_handler(), and invoke_async_signal_handlers().

## ◆ next_handler

struct async_signal_handler* async_signal_handler::next_handler

Definition at line 111 of file event-loop.c.

Referenced by create_async_signal_handler(), delete_async_signal_handler(), and invoke_async_signal_handlers().

## ◆ proc

sig_handler_func* async_signal_handler::proc

Definition at line 112 of file event-loop.c.

Referenced by create_async_signal_handler(), and invoke_async_signal_handlers().

## ◆ ready

int async_signal_handler::ready

Definition at line 108 of file event-loop.c.

Referenced by async_signal_handler_is_marked(), clear_async_signal_handler(), create_async_signal_handler(), invoke_async_signal_handlers(), and mark_async_signal_handler().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/event-loop.c